<?php
include_once("funciones.php");
include_once("utiles.php");

error_reporting(E_ALL & ~E_NOTICE & ~E_WARNING);
date_default_timezone_set("America/Panama");

if (!$connection = connectDb()) {
	die("err db");
} else {
	$connection->query("SET NAMES 'utf8';");
}
header('content-type:application/json');

session_start();
$_SESSION['database'] = $_POST['database'];
$_SESSION['suc_id'] = $_POST['suc_id'];
$_SESSION['e_id'] = $_POST['e_id'];
$_SESSION['c_id'] = $_POST['c_id'];
$_SESSION['num_contr'] = $_POST['num_contr'];
$_SESSION['fecha'] = $_POST['fecha'];
$_SESSION['semanas'] = $_POST['semanas'];
$_SESSION['monto'] = $_POST['monto'];
$_SESSION['tipo_pago'] = $_POST['tipo_pago'];
$_SESSION['det_pago'] = $_POST['det_pago'];
$_SESSION['ci_op_idx'] = $_POST['ci_op_idx'];
$_SESSION['ci_op_idz'] = $_POST['ci_op_idz'];
$_SESSION['u_id'] = $_POST['u_id'];
$_SESSION['op_id'] = $_POST['op_id'];
$_SESSION['no_pago_club'] = $_POST['no_pago_club'];
$_SESSION['pagos_trans'] = $_POST['pagos_trans'];
$_SESSION['tipo_status'] = $_POST['tipo_status'];
$_SESSION['monto_rete'] = $_POST['monto_rete'];
$_SESSION['seman_rete'] = $_POST['seman_rete'];
$_SESSION['op_idR'] = $_POST['op_idR'];

$Insert_Trans = $_SESSION['pagos_trans'];

$hoynow = getdate();
$timeStamp = $hoynow["year"] . "-" . $hoynow["mon"] . "-" . $hoynow["mday"];

mysqli_select_db($connection, $_SESSION['database']);
mysqli_query($connection, "SET AUTOCOMMIT=0");
mysqli_query($connection, "START TRANSACTION");

$regs_pags = '';
$cSql_pags = "SELECT COUNT(IFNULL(op_id,0)) AS cnt_regs FROM " . $_SESSION['database'] . ".club_pagos WHERE (tipo_pago='8') AND (num_contr='" . $_SESSION['num_contr'] . "')";
$data_pags = getRow($connection, $cSql_pags, $regs_pags, false);
$registros = $data_pags['cnt_regs'];
$data_pags = null;

if ($registros == 0) {
	//echo 'entro->';

	$ret_pago = "INSERT INTO " . $_SESSION['database'] . ".club_pagos (
			num_contr	,	fecha		,	semanas		,
			monto		,	e_id		,	useroption	,
			suc_id		,	tipo_pago	,	c_id		,
			det_pago	,	ci_op_idx	,	ci_op_idz	,
			u_id		,	signo		,	autoriza	,
			op_id		,	autoriza_memo,	anulado		,
			anulado_monto,  pagado_hasta) VALUES (
			'" . $_SESSION['num_contr'] . "'," . $_SESSION['fecha'] . "," . $_SESSION['seman_rete'] . ",
			'" . $_SESSION['monto_rete'] . "','" . $_SESSION['e_id'] . "',1,
			'" . $_SESSION['suc_id'] . "',8,'" . $_SESSION['c_id'] . "',
			'Retencion por manejo de CLUB','" . $_SESSION['ci_op_idx'] . "','" . $_SESSION['ci_op_idz'] . "',
			'" . $_SESSION['u_id'] . "','-1','0',
			'" . $_SESSION['op_idR'] . "','','0',
			'0.00','" . $hoynow . "');";
	//echo $ret_pago;
	$resp_ret_pagos = mysqli_query($connection, $ret_pago);


	$upd_chgtp = "UPDATE " . $_SESSION['database'] . ".club_contratos SET
		tipo_status = '1'
	WHERE num_contr = '" . $_SESSION['num_contr'] . "';";
	//echo $upd_chgtp;

	$resp_chgtp = mysqli_query($connection, $upd_chgtp);
} else {
		//echo 'NO entro->';
	}

$ins_pagos = "INSERT INTO " . $_SESSION['database'] . ".club_pagos (
		num_contr	,	fecha		,	semanas		,
		monto		,	e_id		,	useroption	,
		suc_id		,	tipo_pago	,	c_id		,
		det_pago	,	ci_op_idx	,	ci_op_idz	,
		u_id		,	signo		,	autoriza	,
		op_id		,	autoriza_memo,	anulado		,
		anulado_monto,  pagado_hasta) VALUES (
		'" . $_SESSION['num_contr'] . "'," . $_SESSION['fecha'] . ",'" . $_SESSION['semanas'] . "',
		'" . $_SESSION['monto'] . "','" . $_SESSION['e_id'] . "',1,
		'" . $_SESSION['suc_id'] . "','" . $_SESSION['tipo_pago'] . "','" . $_SESSION['c_id'] . "',
		'" . $_SESSION['det_pago'] . "','" . $_SESSION['ci_op_idx'] . "','" . $_SESSION['ci_op_idz'] . "',
		'" . $_SESSION['u_id'] . "','1','0',
		'" . $_SESSION['op_id'] . "','','0',
		'0.00','" . $hoynow . "')";

$upd_conf = "UPDATE " . $_SESSION['database'] . ".conf_sistema SET no_pago_club = '" . $_SESSION['no_pago_club'] . "' 
			WHERE suc_id = '" . $_SESSION['suc_id'] . "' AND   no_estacion	 = '" . $_SESSION["e_id"] . "'";

$upd_cont0 = "UPDATE " . $_SESSION['database'] . ".club_contratos SET monto_pag = (monto_pag   + " . $_SESSION['monto'] . ") WHERE num_contr = '" . $_SESSION['num_contr'] . "'";

$upd_cont1 = "UPDATE " . $_SESSION['database'] . ".club_contratos SET semanas_pag = (monto_pag/valor_club) WHERE num_contr = '" . $_SESSION['num_contr'] . "'";

$upd_cont2 = "UPDATE " . $_SESSION['database'] . ".club_contratos SET
		monto_disp_ant 	= monto_disp,
		monto_disp 		= (monto_disp + " . $_SESSION['monto'] . "),
		monto_upago		= '" . $_SESSION['monto'] . "',
		fecha_upago		= " . $_SESSION['fecha'] . "
	WHERE num_contr = '" . $_SESSION['num_contr'] . "'";

$upd_cont3 = "UPDATE " . $_SESSION['database'] . ".`club_contratos` SET
	`primer_sorteo`   = " . $_SESSION['database'] . ".club_pagado_hasta_exact(`club_contratos`.`tipo_sorteo`,`club_contratos`.`fecha_compra`,1), 
	`fecha_pag_hasta` = " . $_SESSION['database'] . ".club_pagado_hasta_exact(`club_contratos`.`tipo_sorteo`,`club_contratos`.`fecha_compra`,`club_contratos`.`semanas_pag`),
	`ultimo_sorteo`   = " . $_SESSION['database'] . ".club_pagado_hasta_exact(`club_contratos`.`tipo_sorteo`,`club_contratos`.`fecha_compra`,25)
WHERE (`num_contr` = " . $_SESSION['num_contr'].")";

$upd_pag = "UPDATE " . $_SESSION['database'] . ".club_pagos p
	INNER JOIN " . $_SESSION['database'] . ".club_contratos c ON (p.num_contr = c.num_contr)
		SET p.pagado_hasta = c.fecha_pag_hasta
	WHERE c.num_contr = '" . $_SESSION['num_contr'] . "'
	AND   p.op_id = '" . $_SESSION['op_id'] . "'";

$resp_pagos = mysqli_query($connection, $ins_pagos);
// echo "sql: ".$ins_pagos."\n";

$resp_conf = mysqli_query($connection, $upd_conf);
// echo "sql: ".$upd_conf."\n";

$resp_cont0 = mysqli_query($connection, $upd_cont0);
// echo "sql: ".$upd_cont."\n";

$resp_cont1 = mysqli_query($connection, $upd_cont1);
// echo "sql: ".$upd_cont."\n";

$resp_cont2 = mysqli_query($connection, $upd_cont2);
// echo "sql: ".$upd_cont."\n";

$resp_cont3 = mysqli_query($connection, $upd_cont3);
// echo "sql: ".$upd_cont."\n";

$resp_pag = mysqli_query($connection, $upd_pag);
// echo "sql: ".$upd_pag."\n";

$array = explode(';', $Insert_Trans, 0);
foreach ($array as $value) {
	$resp_ins = mysqli_query($connection, $value);
	// echo "sql: ".$value."\n";
}

if ($resp_pagos and $resp_conf and $resp_cont0 and $resp_cont1 and $resp_cont2 and $resp_pag) {
	mysqli_query($connection, "COMMIT");
	$msg = array(
		"success" => "true",
		"detalle" => "OK"
	);
} else {
	mysqli_query($connection, "ROLLBACK");
	$msg = array(
		"success" => "false",
		"detalle" => $connection
	);
	echo "Error: " . $connection->error;
}

print_r(json_encode($msg));

@mysqli_close($connection);
